package com.jboss.byteman.tests;

import org.jboss.byteman.rule.Rule;
import org.jboss.byteman.rule.helper.Helper;

public class MockChecker extends Helper {

    protected MockChecker(Rule rule) {
        super(rule);
    }

    public void check ( Object[] args, int val ) {

        if ( callerEquals("method", 0, 1 ) ) {
            trace( "Found caller with callerEquals(\"method\", 0, 1 )" );
        } else {
            trace( "Could not find caller with callerEquals(\"method\", 0, 1 )" );
        }

        if ( callerEquals("method") ) {
            trace( "found caller with callerEquals(\"method\")" );
        } else {
            trace( "Could not find caller with callerEquals(\"method\" )" );
        }
    }
}